Puma shouldn't be included in the Gemfile
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

right now it isn't possible to use a different Puma version or define it for a production environment because there's a conflict

https://github.com/redmine/redmine/blob/master/Gemfile#L91

group :test do

  # For running system tests

  gem 'puma', '~> 3.7'

end

 Gemfile.local

source 'https://rubygems.org'

group :production do

  gem "puma" 

end

 
[!] There was an error parsing `Gemfile`:

[!] There was an error parsing `Gemfile.local`: You cannot specify the same gem twice with differe

nt version requirements.

You specified: puma (~> 3.7) and puma (>= 0). Bundler cannot continue.

 #  Gemfile.local:4

 #  -------------------------------------------

 #

 >

 #  source 'https://rubygems.org'

 #  -------------------------------------------

. Bundler cannot continue.

 #  from Gemfile.local:4

 #  -------------------------------------------

 #    eval_gemfile file

 >  end

 #  source 'https://rubygems.org'

 #  -------------------------------------------

History

#1 - 2018-12-01 20:06 - Pavel Rosický

IMO, your CI should add Puma to Gemfile.local in a before_script or use Capybara.server = :webrick if Puma isn't available

#2 - 2019-12-06 00:39 - Go MAEDA

The version of puma is not fixed after r19338.

#3 - 2020-10-20 04:41 - Go MAEDA

- Status changed from New to Closed
https://github.com/redmine/redmine/blob/master/Gemfile#L91
https://www.redmine.org/projects/redmine/repository/svn/revisions/19338


- Resolution set to Fixed

Fixed by r19338.
